<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../HTML.html" >HTML</a>.<a href="../DirectoryLayout.html" >DirectoryLayout</a>
</div><div class="class-name">class DirectoryLayout

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/HTML/DirectoryLayout.py.html" target="detail">../Synopsis/Formatters/HTML/DirectoryLayout.py</a></div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line17" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="DirectoryLayout-inheritance" src="DirectoryLayout-inheritance.png" hspace="8" vspace="8" border="0" usemap="#DirectoryLayout-inheritance_map" />
<map name="DirectoryLayout-inheritance_map"><area alt="Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html" href="NestedDirectoryLayout.html" shape="rect" coords="5, 81, 416, 105" />
<area alt="Scopes/Synopsis/Parsers/IDL/IDL/Parser.html" href="../../../Parsers/IDL/IDL/Parser.html" shape="rect" coords="440, 81, 648, 105" />
</map>
 <div class="doc">DirectoryLayout defines how the generated html files are organized.
    The default implementation uses a flat layout with all files being part
    of a single directory.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_strip">_strip</a>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout._strip" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line59" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="init">init</a>(<span class="variable">self</span>, <span class="variable">processor</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.init" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line22" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#copy_file" >copy_file</a></span>(<span class="variable">self</span>, <span class="variable">src</span>, <span class="variable">dest</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.copy_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line46" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Copy src to dest&#44; if dest doesn't exist yet or is outdated.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#scope" >scope</a></span>(<span class="variable">self</span>, <span class="variable">scope</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.scope" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line51" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the filename of a scoped name &#40;class or module&#41;.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#file_index" >file_index</a></span>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_index" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line65" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the filename for the index of an input file.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#file_source" >file_source</a></span>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_source" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line73" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the filename for the source of an input file.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#file_details" >file_details</a></span>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_details" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line81" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the filename for the details of an input file.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#index" >index</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.index" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line88" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of the main index file.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#special" >special</a></span>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.special" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line93" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of a special file &#40;tree&#44; etc&#41;.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#scoped_special" >scoped_special</a></span>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">scope</span>, <span class="variable">ext</span> = <span class="value">'.html'</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.scoped_special" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line99" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of a special type of scope file.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#xref" >xref</a></span>(<span class="variable">self</span>, <span class="variable">page</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.xref" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line105" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#module_tree" >module_tree</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.module_tree" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line110" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of the module tree index.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#module_index" >module_index</a></span>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.module_index" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line116" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of the index of the given module.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DirectoryLayout.html#link" >link</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.link" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line122" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Create a link to the named declaration.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="copy_file">copy_file</a>(<span class="variable">self</span>, <span class="variable">src</span>, <span class="variable">dest</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.copy_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line46" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Copy src to dest&#44; if dest doesn't exist yet or is outdated.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="scope">scope</a>(<span class="variable">self</span>, <span class="variable">scope</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.scope" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line51" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the filename of a scoped name &#40;class or module&#41;.
        The default implementation is to join the names with '-' and append
        &quot;.html&quot;. Additionally&#44; special characters are quoted.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="file_index">file_index</a>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_index" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line65" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the filename for the index of an input file.
        Default implementation is to join the path with '.'&#44; prepend '_file.'
        and append '.html' </div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="file_source">file_source</a>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_source" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line73" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the filename for the source of an input file.
        Default implementation is to join the path with '.'&#44; prepend '_source.'
        and append '.html' </div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="file_details">file_details</a>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.file_details" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line81" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the filename for the details of an input file.
        Default implementation is to join the path with '.'&#44; prepend
        '_file_detail.' and append '.html' </div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="index">index</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.index" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line88" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of the main index file. Default is index.html</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="special">special</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.special" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line93" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of a special file &#40;tree&#44; etc&#41;. Default is
        _name.html</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="scoped_special">scoped_special</a>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">scope</span>, <span class="variable">ext</span> = <span class="value">'.html'</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.scoped_special" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line99" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of a special type of scope file. Default is to join
        the scope with '.' and prepend '.'+name</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="xref">xref</a>(<span class="variable">self</span>, <span class="variable">page</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.xref" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line105" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of the xref file for the given page</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="module_tree">module_tree</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.module_tree" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line110" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of the module tree index. Default is
        _modules.html</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="module_index">module_index</a>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.module_index" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line116" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Return the name of the index of the given module. Default is to
        join the name with '.'&#44; prepend '_module' and append '.html' </div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="link">link</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.DirectoryLayout.link" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line122" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Create a link to the named declaration. This method may have to
        deal with the directory layout.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
